﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void pivotGrid_CellControlAttached(object sender, PivotCellControlAttachedEventArgs e)
        {
            StringBuilder sb = new StringBuilder();
            sb.Append("Column: ");
            sb.Append(((e.Cell as PivotCell).Column as PivotDataColumn).Tuple.ToString());
            sb.AppendLine();
            sb.Append("Row: ");
            sb.Append(((e.Cell as PivotCell).Row as PivotDataRow).Tuple.ToString());

            e.Cell.Control.ToolTip = sb.ToString();
        }
    }    

}
